Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjava.security
Class InvalidParameterTypeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--xjava.security.GeneralSecurityException
                        |
                        +--xjava.security.InvalidParameterTypeException

public class InvalidParameterTypeException
extends GeneralSecurityException

This is the exception for invalid parameter types.

This class is documented in JavaSoft's preview APIs, for introduction in Java 1.2.

$Revision: 1.2 $

Since:
  IJCE 1.0.1
Author:
  David Hopwood
See Also:
  `java.security.AlgorithmParameters`, `java.security.interfaces.DSADiscreteLogParameters`, Serialized Form

Constructor Summary
`InvalidParameterTypeException()` Constructs an InvalidParameterTypeException without any detail message.
`InvalidParameterTypeException(java.lang.String msg)` Constructs an InvalidParameterTypeException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterTypeException

    public InvalidParameterTypeException()

  Constructs an InvalidParameterTypeException without any detail message.

### InvalidParameterTypeException

    public InvalidParameterTypeException(java.lang.String msg)

  Constructs an InvalidParameterTypeException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.